Bug 283471 - Review Request: umbrello - Unified Modelling Language (UML) diagrams modeller
Review Request: umbrello - Unified Modelling Language (UML) diagrams modeller
Status: CLOSED DUPLICATE of bug 283521
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-08 07:59 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-08 18:43:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-09-08 07:59:24 EDT
Spec URL: http://people.atrpms.net/~hdegoede/umbrello.spec
SRPM URL: http://people.atrpms.net/~hdegoede/umbrello-1.5.71-1.fc8.src.rpm
Umbrello UML Modeller is a Unified Modelling Language diagram programm for
KDE. UML allows you to create diagrams of software and other systems in a
standard format.


rpmlint says:
W: umbrello dangling-relative-symlink /usr/share/doc/HTML/en/umbrello/common ../common

The target is in kdelibs (which umbrello requires)

W: umbrello devel-file-in-non-devel-package /usr/share/apps/umbrello/headings/heading.h
E: umbrello non-executable-script /usr/share/apps/umbrello/headings/heading.rb 0644
E: umbrello non-executable-script /usr/share/apps/umbrello/headings/heading.py 0644

These 3 files are used for the diagram to code convertor, so the rpmlint warnings / errors are bogus in this case.
Comment 1 Ignacio Vazquez-Abrams 2007-09-08 08:20:47 EDT
umbrello is already in kdesdk.
Comment 2 Hans de Goede 2007-09-08 09:00:26 EDT
(In reply to comment #1)
> umbrello is already in kdesdk.

What? Ah yes that makes perfect sense very logical place for it to be,
especially as its in its own subpackage with umbrello in the name, or atleast
has a provides umbrello so that "yum install umbrello" works, oh wait it doesn't
have either of those, GRRRR.

See bug 283521 for me ranting some more about this.
Comment 3 Kevin Kofler 2007-09-08 18:43:57 EDT

*** This bug has been marked as a duplicate of 283521 ***

Note You need to log in before you can comment on or make changes to this bug.